Bug 90107 - When using the dual screen, one screen is shown the wrong size, the other eliminates text.
Summary: When using the dual screen, one screen is shown the wrong size, the other eli...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Multimonitor
  Show dependency treegraph
 
Reported: 2015-03-19 17:10 UTC by Jim Roper
Modified: 2019-05-14 10:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Slides for a statistics class on ANOVA (63.91 KB, application/vnd.oasis.opendocument.presentation)
2015-03-22 21:54 UTC, Jim Roper
Details
Slides for a statistics class on ANOVA (63.91 KB, application/vnd.oasis.opendocument.presentation)
2015-03-22 21:55 UTC, Jim Roper
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Roper 2015-03-19 17:10:25 UTC
When using Impress, I used the dual screen (one was built-in monitor, other was a projector), the built-in screen showed a larger image of the presentation than it should (not all fit), while the projector screen only shows images and not text. When I inverted the projection, the built-in screen looked as the projected image did before (no text, only figures) while the projected image looked like the built-in monitor (large image, cropped). No change after restarting. Makes it impossible to use, thus losing the great benefit of the dual screen!
Comment 1 Andreas Mantke 2015-03-22 19:48:36 UTC
Please provide more information about your operating system and the version of LibreOffice (found in help - info about LibreOffice).
Could you provide a sample file (without any personal data) that causes the issue? That would help to look at your issue.
Comment 2 Jim Roper 2015-03-22 21:54:19 UTC
Created attachment 114254 [details]
Slides for a statistics class on ANOVA
Comment 3 Jim Roper 2015-03-22 21:55:23 UTC
Created attachment 114255 [details]
Slides for a statistics class on ANOVA
Comment 4 Andreas Mantke 2015-03-23 21:24:15 UTC
I tried with your slides that don't fit the regular format of a presentation slide. It's more a letter size (it has more hight than width).
I run the presentation with an external screen connected to my Notebook and the slides are displayed correctly on the external screen. The presenter console on the Notebook has issues with the format of the slides (too high). But that's all. I used openSuSE 13.2-x64 with KDE and LibreOffice 4.3.6 from the LibreOffice project website.

It would be great if you could provide a screenshot of the issue on your hardware and some more information about your operating system and the version of LibreOffice.
Comment 5 raal 2015-03-24 14:01:43 UTC
I can confirm with LO 4.4.1.2, win7, 2 monitors
First slide is without text box, others slides are correct. When I write text to second slide, I can see the text in slideshow. Problem is on first slide only. When I delete picture and leave only text box, I still can not see this text in slideshow. Change page format to A4 - still the same problem ( original page format Custom 19x25,4 cm). 

This also don't work with new empty presentation /  page with 2 text boxes. Setting to new.
Comment 6 raal 2015-03-24 14:06:15 UTC
Please take a look at bug 89190. For me disable hardware acceleration helps.
Comment 7 tommy27 2016-04-16 07:25:53 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 8 QA Administrators 2019-05-14 03:00:31 UTC Comment hidden (obsolete)
Comment 9 Jim Roper 2019-05-14 10:19:28 UTC
I just tested this issue with LO 6.2.3.2 on a 64 bit computer with windows 10 home edition having the most recent update. Now most of the problem is fixed and slides show correctly (that is, all the parts show up, both text and images). However, the size of the image on the first monitor (not the projected image) is larger than the screen space - it seems that the width is being optimized and not the height. So, a tall slide the width of the screen cuts both the top and bottom of the slide. 

And, using the option to view slides, where Presentation shows a list of slides, all the slides are fine. Apparently, it's just when using a single, portrait, slide in the presentation is the issue. If I explain myself. Now the bug is minimal and bearable.